The element the activity buys or sells. A draft or rejected incoming activity takes this element's supplier, even when the element is sent again. A supplier that isn't the element's is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results.
One of your company's activity groups, by uuid (see /v1/activity/group). On an update, send null to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the uuid of one of your company's groups is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results.
One of your company's transport lanes, by uuid (see /v1/transport/lane). On an update, send null to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the uuid of one of your company's lanes is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results. An activity created with a lane and no unit is recorded in tonnes; an update keeps the activity's unit.
The element the activity buys or sells. A draft or rejected incoming activity takes this element's supplier, even when the element is sent again. A supplier that isn't the element's is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results.
One of your company's activity groups, by uuid (see /v1/activity/group). On an update, send null to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the uuid of one of your company's groups is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results.
One of your company's transport lanes, by uuid (see /v1/transport/lane). On an update, send null to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the uuid of one of your company's lanes is rejected: with a 400 on POST and PATCH, and as a failed item in a bulk job's results. An activity created with a lane and no unit is recorded in tonnes; an update keeps the activity's unit.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Variable API","colors":{"primary":"#282624","light":"#E6E3DD","dark":"#282624"},"logo":{"light":"https://app.variable.global/logo/logo-horizontal-onlight.svg","dark":"https://app.variable.global/logo/logo-horizontal-ondark.svg"},"favicon":"https://mintcdn.com/variable/-esaLwUuP4fnFDIg/logo/symbol-white.svg?fit=max\u0026auto=format\u0026n=-esaLwUuP4fnFDIg\u0026q=85\u0026s=d0fcf1de9144c23f8a7d44e3c52638a0","api":{"playground":{"display":"simple"}},"appearance":{"default":"system"},"navbar":{"links":[{"href":"mailto:support@variable.co","label":"Support"}],"primary":{"type":"button","label":"App","href":"https://app.variable.global"}},"footer":{"socials":{"discord":"https://discord.gg/TrGYZW7zPG","linkedin":"https://www.linkedin.com/company/variable-co","x":"https://x.com/variableHQ"}},"styling":{"codeblocks":"system","latex":false},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"variable","hasAudioNarration":false,"actualSubdomain":"variable","customDomains":["docs.variable.global"],"gitSource":{"type":"github","owner":"variable-co","repo":"cascade","deployBranch":"main","contentDirectory":"api-documentation","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aebacb4f01bb363b21fb7b5","collectionId":"3a089781-d1cd-44b0-a71d-7c1436f1f57f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aebacb4f01bb363b21fb7b5"},"entitlements":{},"buildId":"6aee1f87c316d4336599a32e","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":87},{"language":"default","tag":"Documentation","count":31},{"language":"default","tag":"Elements","count":28},{"language":"default","tag":"Getting started","count":14},{"language":"default","tag":"Changelog","count":10},{"language":"default","tag":"Switch","count":8},{"language":"default","tag":"Concepts","count":8},{"language":"default","tag":"Help articles","count":8},{"language":"default","tag":"PACT API","count":8},{"language":"default","tag":"Activity","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v1/activity/patch","slug":"/api-reference/v1/activity/patch","pageMetadata":{"title":"Update Activity","openapi":"PATCH /v1/activity/{uuid}","description":"Update an activity","href":"/api-reference/v1/activity/patch"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update an activity\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const permission_0=`activity:update`;function _createMdxContent(props){const _components={a:`a`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Info,Note}=_components;if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsxs(Info,{children:[`Requires permission: `,_jsx(_components.strong,{children:permission_0})]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Read more about the `,_jsx(_components.a,{href:`/docs/activity`,children:`Activity`}),` data models.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{permission_0,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Update Activity","openapi":"PATCH /v1/activity/{uuid}","description":"Update an activity","href":"/api-reference/v1/activity/patch"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[515,530,"`activity:update`})]"]]},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Update an activity","security":["4a205b7c-9f22-4d28-8644-3860279ae33b"],"requestBody":"3e15c407-b836-42a5-b8d2-5a1d078da37f","responses":{"200":"2e1c2033-39e8-4998-91b0-4a8b1c4d7489","401":"f5721381-f28d-45f9-b9ff-78b46f12be19"},"method":"patch","type":"path","servers":["474f6128-2410-41da-aeba-18a544df26e0"],"path":"/v1/activity/{uuid}","baseUrlOptions":["https://app.variable.global/api"],"title":"Update an activity","description":"Update an activity","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"d2217390-d3df-4efb-a3ee-bfbf587d2c64":{"in":"path","name":"uuid","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Name","uniqueKey":"name","typeLabel":"string"},"created":{"type":"string","description":"ISO 8601 date","example":"2021-01-01T00:00:00.000Z","uniqueKey":"created","typeLabel":"string"},"updated":{"type":"string","description":"ISO 8601 date","example":"2021-01-31T23:59:59.000Z","uniqueKey":"updated","typeLabel":"string"},"syncId":{"type":"string","description":"An identifier to use when syncing data with other systems. [Read more](/docs/syncId)","example":"sync123","uniqueKey":"syncId","typeLabel":"string"},"description":{"type":"string","description":"A description of the activity.","uniqueKey":"description","typeLabel":"string"},"quantity":{"type":"number","example":150,"uniqueKey":"quantity","typeLabel":"number"},"unit":{"type":"string","example":"kg","description":"The unit code (e.g. kg, lbs, etc.). All unit codes can be found in the [List Units](/api-reference/v1/unit/get) endpoint.","uniqueKey":"unit","typeLabel":"string"},"UpstreamCO2e":{"type":"string","example":"1234","description":"if passed, the value will be used instead of the computed value","uniqueKey":"UpstreamCO2e","typeLabel":"string"},"DownstreamCO2e":{"type":"string","example":"0.5678","description":"if passed, the value will be used instead of the computed value","uniqueKey":"DownstreamCO2e","typeLabel":"string"},"product":{"description":"The element the activity buys or sells. A draft or rejected incoming activity takes this element's supplier, even when the element is sent again. A `supplier` that isn't the element's is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results.\n","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"product.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Product Name","uniqueKey":"product.name","typeLabel":"string"}},"type":"object","uniqueKey":"product","typeLabel":"object"},"scope":{"properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"scope.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Scope 2: Electricity","uniqueKey":"scope.name","typeLabel":"string"}},"type":"object","uniqueKey":"scope","typeLabel":"object"},"taxonomy":{"type":"object","description":"A reference to a taxonomy category, including its machine-readable path.","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"taxonomy.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Material","uniqueKey":"taxonomy.name","typeLabel":"string"},"path":{"type":"string","example":"material","uniqueKey":"taxonomy.path","typeLabel":"string"}},"uniqueKey":"taxonomy","typeLabel":"object"},"org":{"properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"org.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Org Unit","uniqueKey":"org.name","typeLabel":"string"}},"type":"object","uniqueKey":"org","typeLabel":"object"},"group":{"oneOf":[{"description":"One of your company's activity groups, by `uuid` (see `/v1/activity/group`). On an update, send `null` to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the `uuid` of one of your company's groups is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results.\n","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"group.oneOf.0.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Business travel","uniqueKey":"group.oneOf.0.name","typeLabel":"string"}},"type":"object","uniqueKey":"group.oneOf.0","typeLabel":"object"},{"description":"One of your company's activity groups, by `uuid` (see `/v1/activity/group`). On an update, send `null` to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the `uuid` of one of your company's groups is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results.\n","properties":{"uuid":{"type":"string","format":"uuid"},"name":{"type":"string","example":"Business travel"}},"type":"null","uniqueKey":"group.oneOf.1","typeLabel":"null"}],"uniqueKey":"group","typeLabel":"object | null"},"transportLane":{"oneOf":[{"description":"One of your company's transport lanes, by `uuid` (see `/v1/transport/lane`). On an update, send `null` to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the `uuid` of one of your company's lanes is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results. An activity created with a lane and no `unit` is recorded in tonnes; an update keeps the activity's unit.\n","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"transportLane.oneOf.0.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Shenzhen to Felixstowe","uniqueKey":"transportLane.oneOf.0.name","typeLabel":"string"}},"type":"object","uniqueKey":"transportLane.oneOf.0","typeLabel":"object"},{"description":"One of your company's transport lanes, by `uuid` (see `/v1/transport/lane`). On an update, send `null` to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the `uuid` of one of your company's lanes is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results. An activity created with a lane and no `unit` is recorded in tonnes; an update keeps the activity's unit.\n","properties":{"uuid":{"type":"string","format":"uuid"},"name":{"type":"string","example":"Shenzhen to Felixstowe"}},"type":"null","uniqueKey":"transportLane.oneOf.1","typeLabel":"null"}],"uniqueKey":"transportLane","typeLabel":"object | null"},"startDate":{"type":"string","description":"ISO 8601 date","example":"2021-01-01T00:00:00.000Z","uniqueKey":"startDate","typeLabel":"string"},"endDate":{"type":"string","description":"ISO 8601 date","example":"2021-01-01T00:00:00.000Z","uniqueKey":"endDate","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Name","created":"2021-01-01T00:00:00.000Z","updated":"2021-01-31T23:59:59.000Z","syncId":"sync123","description":"\u003cstring>","quantity":150,"unit":"kg","UpstreamCO2e":"1234","DownstreamCO2e":"0.5678","product":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Product Name"},"scope":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Scope 2: Electricity"},"taxonomy":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Material","path":"material"},"org":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Org Unit"},"group":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Business travel"},"transportLane":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Shenzhen to Felixstowe"},"startDate":"2021-01-01T00:00:00.000Z","endDate":"2021-01-01T00:00:00.000Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"2e1c2033-39e8-4998-91b0-4a8b1c4d7489":{"description":"Activity data","content":{"application/json":{"schema":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Name","uniqueKey":"name","typeLabel":"string"},"created":{"type":"string","description":"ISO 8601 date","example":"2021-01-01T00:00:00.000Z","uniqueKey":"created","typeLabel":"string"},"updated":{"type":"string","description":"ISO 8601 date","example":"2021-01-31T23:59:59.000Z","uniqueKey":"updated","typeLabel":"string"},"syncId":{"type":"string","description":"An identifier to use when syncing data with other systems. [Read more](/docs/syncId)","example":"sync123","uniqueKey":"syncId","typeLabel":"string"},"description":{"type":"string","description":"A description of the activity.","uniqueKey":"description","typeLabel":"string"},"quantity":{"type":"number","example":150,"uniqueKey":"quantity","typeLabel":"number"},"unit":{"type":"string","example":"kg","description":"The unit code (e.g. kg, lbs, etc.). All unit codes can be found in the [List Units](/api-reference/v1/unit/get) endpoint.","uniqueKey":"unit","typeLabel":"string"},"UpstreamCO2e":{"type":"string","example":"1234","description":"if passed, the value will be used instead of the computed value","uniqueKey":"UpstreamCO2e","typeLabel":"string"},"DownstreamCO2e":{"type":"string","example":"0.5678","description":"if passed, the value will be used instead of the computed value","uniqueKey":"DownstreamCO2e","typeLabel":"string"},"product":{"description":"The element the activity buys or sells. A draft or rejected incoming activity takes this element's supplier, even when the element is sent again. A `supplier` that isn't the element's is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results.\n","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"product.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Product Name","uniqueKey":"product.name","typeLabel":"string"}},"type":"object","uniqueKey":"product","typeLabel":"object"},"scope":{"properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"scope.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Scope 2: Electricity","uniqueKey":"scope.name","typeLabel":"string"}},"type":"object","uniqueKey":"scope","typeLabel":"object"},"taxonomy":{"type":"object","description":"A reference to a taxonomy category, including its machine-readable path.","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"taxonomy.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Material","uniqueKey":"taxonomy.name","typeLabel":"string"},"path":{"type":"string","example":"material","uniqueKey":"taxonomy.path","typeLabel":"string"}},"uniqueKey":"taxonomy","typeLabel":"object"},"org":{"properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"org.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Org Unit","uniqueKey":"org.name","typeLabel":"string"}},"type":"object","uniqueKey":"org","typeLabel":"object"},"group":{"oneOf":[{"description":"One of your company's activity groups, by `uuid` (see `/v1/activity/group`). On an update, send `null` to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the `uuid` of one of your company's groups is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results.\n","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"group.oneOf.0.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Business travel","uniqueKey":"group.oneOf.0.name","typeLabel":"string"}},"type":"object","uniqueKey":"group.oneOf.0","typeLabel":"object"},{"description":"One of your company's activity groups, by `uuid` (see `/v1/activity/group`). On an update, send `null` to remove the activity from its group, or leave the field out to keep its group. A value that doesn't carry the `uuid` of one of your company's groups is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results.\n","properties":{"uuid":{"type":"string","format":"uuid"},"name":{"type":"string","example":"Business travel"}},"type":"null","uniqueKey":"group.oneOf.1","typeLabel":"null"}],"uniqueKey":"group","typeLabel":"object | null"},"transportLane":{"oneOf":[{"description":"One of your company's transport lanes, by `uuid` (see `/v1/transport/lane`). On an update, send `null` to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the `uuid` of one of your company's lanes is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results. An activity created with a lane and no `unit` is recorded in tonnes; an update keeps the activity's unit.\n","properties":{"uuid":{"type":"string","format":"uuid","uniqueKey":"transportLane.oneOf.0.uuid","typeLabel":"string\u003cuuid>"},"name":{"type":"string","example":"Shenzhen to Felixstowe","uniqueKey":"transportLane.oneOf.0.name","typeLabel":"string"}},"type":"object","uniqueKey":"transportLane.oneOf.0","typeLabel":"object"},{"description":"One of your company's transport lanes, by `uuid` (see `/v1/transport/lane`). On an update, send `null` to remove the activity's lane, or leave the field out to keep it. A value that doesn't carry the `uuid` of one of your company's lanes is rejected: with a 400 on `POST` and `PATCH`, and as a failed item in a bulk job's results. An activity created with a lane and no `unit` is recorded in tonnes; an update keeps the activity's unit.\n","properties":{"uuid":{"type":"string","format":"uuid"},"name":{"type":"string","example":"Shenzhen to Felixstowe"}},"type":"null","uniqueKey":"transportLane.oneOf.1","typeLabel":"null"}],"uniqueKey":"transportLane","typeLabel":"object | null"},"startDate":{"type":"string","description":"ISO 8601 date","example":"2021-01-01T00:00:00.000Z","uniqueKey":"startDate","typeLabel":"string"},"endDate":{"type":"string","description":"ISO 8601 date","example":"2021-01-01T00:00:00.000Z","uniqueKey":"endDate","typeLabel":"string"},"CO2e":{"type":"string","example":"1234.5678","uniqueKey":"CO2e","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Name","created":"2021-01-01T00:00:00.000Z","updated":"2021-01-31T23:59:59.000Z","syncId":"sync123","description":"\u003cstring>","quantity":150,"unit":"kg","UpstreamCO2e":"1234","DownstreamCO2e":"0.5678","product":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Product Name"},"scope":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Scope 2: Electricity"},"taxonomy":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Material","path":"material"},"org":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Org Unit"},"group":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Business travel"},"transportLane":{"uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"Shenzhen to Felixstowe"},"startDate":"2021-01-01T00:00:00.000Z","endDate":"2021-01-01T00:00:00.000Z","CO2e":"1234.5678"}}},"exampleType":"generated"}},"exampleType":"generated"},"f5721381-f28d-45f9-b9ff-78b46f12be19":{"description":"ExpiredToken","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"token expired","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"token expired"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"4a205b7c-9f22-4d28-8644-3860279ae33b":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"474f6128-2410-41da-aeba-18a544df26e0":{"url":"https://app.variable.global/api"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.yaml"},"subdomain":"variable","siteName":"Variable API","title":"Update Activity - Variable API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-08-16T08:34:28.160Z","originalFileLocation":"api-reference/v1/activity/patch.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update an activity\">\u003cmeta data-mint-head name=\"application-name\" content=\"Variable API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Activity - Variable API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update an activity\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Variable API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.variable.global/api-reference/v1/activity/patch\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://variable.mintlify.site/_mintlify/api/og/v2?division=Activity\u0026amp;title=Update+Activity\u0026amp;description=Update+an+activity\u0026amp;theme=9d6cae3c609c89737489d87b\u0026amp;signature=c4c5aa686d97b0184713806412fb362eec96ddaef993d5a235f7b15b4be5f522\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Activity - Variable API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update an activity\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://variable.mintlify.site/_mintlify/api/og/v2?division=Activity\u0026amp;title=Update+Activity\u0026amp;description=Update+an+activity\u0026amp;theme=9d6cae3c609c89737489d87b\u0026amp;signature=c4c5aa686d97b0184713806412fb362eec96ddaef993d5a235f7b15b4be5f522\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/variable/XSEKUEE_r7PB-_3g/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Variable API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#282624\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.variable.global/api-reference/v1/activity/patch\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v1/activity/patch.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.variable.global/#organization\",\"name\":\"Variable API\",\"url\":\"https://docs.variable.global\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://app.variable.global/logo/logo-horizontal-onlight.svg\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.variable.global#website\",\"name\":\"Variable API\",\"url\":\"https://docs.variable.global\",\"publisher\":{\"@id\":\"https://docs.variable.global/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.variable.global/api-reference/v1/activity/patch#webpage\",\"url\":\"https://docs.variable.global/api-reference/v1/activity/patch\",\"name\":\"Update Activity\",\"description\":\"Update an activity\",\"dateModified\":\"2025-08-16T08:34:28.160Z\",\"isPartOf\":{\"@id\":\"https://docs.variable.global#website\"},\"breadcrumb\":{\"@id\":\"https://docs.variable.global/api-reference/v1/activity/patch#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.variable.global/api-reference/v1/activity/patch#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Activity\",\"item\":\"https://docs.variable.global/api-reference/v1/activity/list\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update Activity\",\"item\":\"https://docs.variable.global/api-reference/v1/activity/patch\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.variable.global/api-reference/v1/activity/patch#apireference\",\"headline\":\"Update Activity\",\"name\":\"Update Activity\",\"description\":\"Update an activity\",\"url\":\"https://docs.variable.global/api-reference/v1/activity/patch\",\"mainEntityOfPage\":{\"@id\":\"https://docs.variable.global/api-reference/v1/activity/patch#webpage\"},\"dateModified\":\"2025-08-16T08:34:28.160Z\",\"publisher\":{\"@id\":\"https://docs.variable.global/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.variable.global#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Variable API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Variable API","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/getting-started/welcome"}]},{"tab":"API Reference","groups":[{"group":"Getting started","pages":[{"title":"REST API","href":"/api-reference/welcome"}]},{"group":"Auth token","pages":[{"title":"API key","href":"/api-reference/auth/token/api-key"},{"title":"Get Token","openapi":"POST /auth/token","href":"/api-reference/auth/token/post"}]},{"group":"Database","pages":[{"title":"Search","openapi":"GET /v1/search","href":"/api-reference/v1/search/list"}]},{"group":"Product","pages":[{"title":"List Products","openapi":"GET /v1/product","href":"/api-reference/v1/product/list/get"},{"title":"Get Product","openapi":"GET /v1/product/{uuid}","href":"/api-reference/v1/product/get"},{"title":"Create Product","openapi":"POST /v1/product","href":"/api-reference/v1/product/post"},{"title":"Edit Product","openapi":"PATCH /v1/product/{uuid}","href":"/api-reference/v1/product/patch"},{"title":"Product Image","openapi":"PATCH /v1/product/{uuid}/image","href":"/api-reference/v1/product/image"},{"title":"Delete Product","openapi":"DELETE /v1/product/{uuid}","href":"/api-reference/v1/product/delete"}]},{"group":"Elements","pages":[{"group":"Material","pages":[{"title":"List Materials","openapi":"GET /v1/material","href":"/api-reference/v1/material/list/get"},{"title":"Get Material","openapi":"GET /v1/material/{uuid}","href":"/api-reference/v1/material/get"},{"title":"Create Material","openapi":"POST /v1/material","href":"/api-reference/v1/material/post"},{"title":"Update Material","openapi":"PATCH /v1/material/{uuid}","href":"/api-reference/v1/material/patch"},{"title":"Material Image","openapi":"PATCH /v1/material/{uuid}/image","href":"/api-reference/v1/material/image"},{"title":"Delete Material","openapi":"DELETE /v1/material/{uuid}","href":"/api-reference/v1/material/delete"}]},{"group":"Transport Lane","pages":[{"title":"List Transport Lanes","openapi":"GET /v1/transport/lane","href":"/api-reference/v1/transport/lane/list/get"},{"title":"Get Transport Lane","openapi":"GET /v1/transport/lane/{uuid}","href":"/api-reference/v1/transport/lane/get"},{"title":"Create Transport Lane","openapi":"POST /v1/transport/lane","href":"/api-reference/v1/transport/lane/post"},{"title":"Update Transport Lane","openapi":"PATCH /v1/transport/lane/{uuid}","href":"/api-reference/v1/transport/lane/patch"},{"title":"Delete Transport Lane","openapi":"DELETE /v1/transport/lane/{uuid}","href":"/api-reference/v1/transport/lane/delete"}]},{"group":"Transport Mode","pages":[{"title":"List Transport Modes","openapi":"GET /v1/transport/mode","href":"/api-reference/v1/transport/mode/list/get"},{"title":"Get Transport Mode","openapi":"GET /v1/transport/mode/{code}","href":"/api-reference/v1/transport/mode/get"},{"title":"Create Transport Mode","openapi":"POST /v1/transport/mode","href":"/api-reference/v1/transport/mode/post"},{"title":"Update Transport Mode","openapi":"PATCH /v1/transport/mode/{code}","href":"/api-reference/v1/transport/mode/patch"},{"title":"Delete Transport Mode","openapi":"DELETE /v1/transport/mode/{code}","href":"/api-reference/v1/transport/mode/delete"}]},{"group":"Energy","pages":[{"title":"List Energy","openapi":"GET /v1/energy","href":"/api-reference/v1/energy/list/get"},{"title":"Get Energy","openapi":"GET /v1/energy/{uuid}","href":"/api-reference/v1/energy/get"},{"title":"Create Energy","openapi":"POST /v1/energy","href":"/api-reference/v1/energy/post"},{"title":"Update Energy","openapi":"PATCH /v1/energy/{uuid}","href":"/api-reference/v1/energy/patch"},{"title":"Energy Image","openapi":"PATCH /v1/energy/{uuid}/image","href":"/api-reference/v1/energy/image"},{"title":"Delete Energy","openapi":"DELETE /v1/energy/{uuid}","href":"/api-reference/v1/energy/delete"}]},{"group":"Process","pages":[{"title":"List Processes","openapi":"GET /v1/process","href":"/api-reference/v1/process/list/get"},{"title":"Get Process","openapi":"GET /v1/process/{uuid}","href":"/api-reference/v1/process/get"},{"title":"Create Process","openapi":"POST /v1/process","href":"/api-reference/v1/process/post"},{"title":"Update Process","openapi":"PATCH /v1/process/{uuid}","href":"/api-reference/v1/process/patch"},{"title":"Process Image","openapi":"PATCH /v1/process/{uuid}/image","href":"/api-reference/v1/process/image"},{"title":"Delete Process","openapi":"DELETE /v1/process/{uuid}","href":"/api-reference/v1/process/delete"}]}]},{"group":"Dataset","pages":[{"title":"List Datasets","openapi":"GET /v1/dataset","href":"/api-reference/v1/dataset/list/get"},{"title":"Get Dataset","openapi":"GET /v1/dataset/{uuid}","href":"/api-reference/v1/dataset/get"},{"title":"Create Dataset","openapi":"POST /v1/dataset","href":"/api-reference/v1/dataset/post"},{"title":"Update Dataset","openapi":"PATCH /v1/dataset/{uuid}","href":"/api-reference/v1/dataset/patch"},{"title":"Set Dataset Impacts","openapi":"PUT /v1/dataset/{uuid}/impacts","href":"/api-reference/v1/dataset/impacts/put"},{"title":"Dataset Image","openapi":"PATCH /v1/dataset/{uuid}/image","href":"/api-reference/v1/dataset/image"},{"title":"Delete Dataset","openapi":"DELETE /v1/dataset/{uuid}","href":"/api-reference/v1/dataset/delete"}]},{"group":"Model","pages":[{"title":"List Inputs","openapi":"GET /v1/model/{uuid}/input","href":"/api-reference/v1/model/inputs/get"},{"title":"Create Input","openapi":"POST /v1/model/{uuid}/input","href":"/api-reference/v1/model/inputs/post"},{"title":"Edit Input","openapi":"PATCH /v1/model/{modelId}/input/{inputId}","href":"/api-reference/v1/model/inputs/patch"},{"title":"Delete Input","openapi":"DELETE /v1/model/{modelId}/input/{inputId}","href":"/api-reference/v1/model/inputs/delete"}]},{"group":"Switch","pages":[{"title":"List Switches","openapi":"GET /v1/switch","href":"/api-reference/v1/switch/list"},{"title":"Get Switch","openapi":"GET /v1/switch/{uuid}","href":"/api-reference/v1/switch/get"},{"title":"Create Switch","openapi":"POST /v1/switch","href":"/api-reference/v1/switch/post"},{"title":"Edit Switch","openapi":"PATCH /v1/switch/{uuid}","href":"/api-reference/v1/switch/patch"},{"title":"Switch Image","openapi":"PATCH /v1/switch/{uuid}/image","href":"/api-reference/v1/switch/image"},{"title":"Delete Switch","openapi":"DELETE /v1/switch/{uuid}","href":"/api-reference/v1/switch/delete"},{"title":"Add Source","openapi":"POST /v1/switch/{switchId}/source/{sourceId}","href":"/api-reference/v1/switch/add-source"},{"title":"Remove Source","openapi":"DELETE /v1/switch/{switchId}/source/{sourceId}","href":"/api-reference/v1/switch/remove-source"}]},{"group":"Geolocation","pages":[{"title":"Geocode an Address","openapi":"GET /v1/geolocation","href":"/api-reference/v1/geolocation/get"},{"title":"Persist a Geolocation","openapi":"POST /v1/geolocation","href":"/api-reference/v1/geolocation/post"}]},{"group":"Location","pages":[{"title":"List Locations","openapi":"GET /v1/location","href":"/api-reference/v1/location/list"},{"title":"Get Location","openapi":"GET /v1/location/{uuid}","href":"/api-reference/v1/location/get"},{"title":"Create Location","openapi":"POST /v1/location","href":"/api-reference/v1/location/post"},{"title":"Update Location","openapi":"PATCH /v1/location/{uuid}","href":"/api-reference/v1/location/patch"},{"title":"Delete Location","openapi":"DELETE /v1/location/{uuid}","href":"/api-reference/v1/location/delete"}]},{"group":"Supplier","pages":[{"title":"List Suppliers","openapi":"GET /v1/supplier","href":"/api-reference/v1/supplier/list/get"},{"title":"Get Supplier","openapi":"GET /v1/supplier/{uuid}","href":"/api-reference/v1/supplier/get"},{"title":"Create Supplier","openapi":"POST /v1/supplier","href":"/api-reference/v1/supplier/post"},{"title":"Edit Supplier","openapi":"PATCH /v1/supplier/{uuid}","href":"/api-reference/v1/supplier/patch"},{"title":"Supplier Image","openapi":"PATCH /v1/supplier/{uuid}/image","href":"/api-reference/v1/supplier/image"},{"title":"Delete Supplier","openapi":"DELETE /v1/supplier/{uuid}","href":"/api-reference/v1/supplier/delete"}]},{"group":"Activity","pages":[{"title":"List Activities","openapi":"GET /v1/activity","href":"/api-reference/v1/activity/list"},{"title":"Get Activity","openapi":"GET /v1/activity/{uuid}","href":"/api-reference/v1/activity/get"},{"title":"Create Activity","openapi":"POST /v1/activity","description":"Create a new activity","href":"/api-reference/v1/activity/post"},{"title":"Update Activity","openapi":"PATCH /v1/activity/{uuid}","href":"/api-reference/v1/activity/patch"},{"title":"Delete Activity","openapi":"DELETE /v1/activity/{uuid}","description":"Delete an activity","href":"/api-reference/v1/activity/delete"},{"title":"Bulk Activity Creation","openapi":"POST /v1/activity/bulk","href":"/api-reference/v1/activity/bulk"},{"title":"Bulk Activity Deletion","openapi":"POST /v1/activity/bulk/delete","href":"/api-reference/v1/activity/bulk-delete"}]},{"group":"Activity Group","pages":[{"title":"List Activity Groups","openapi":"GET /v1/activity/group","href":"/api-reference/v1/activity-group/list"},{"title":"Get Activity Group","openapi":"GET /v1/activity/group/{uuid}","href":"/api-reference/v1/activity-group/get"},{"title":"Create Activity Group","openapi":"POST /v1/activity/group","href":"/api-reference/v1/activity-group/post"},{"title":"Update Activity Group","openapi":"PATCH /v1/activity/group/{uuid}","href":"/api-reference/v1/activity-group/patch"},{"title":"Delete Activity Group","openapi":"DELETE /v1/activity/group/{uuid}","href":"/api-reference/v1/activity-group/delete"}]},{"group":"Account","pages":[{"title":"List Accounts","openapi":"GET /v1/account","href":"/api-reference/v1/account/get"}]},{"group":"Org","pages":[{"title":"List Orgs","openapi":"GET /v1/org","href":"/api-reference/v1/org/get"}]},{"group":"Scope","pages":[{"title":"List Scopes","openapi":"GET /v1/scope","href":"/api-reference/v1/scope/get"}]},{"group":"Taxonomy","pages":[{"title":"List Taxonomies","openapi":"GET /v1/taxonomy","href":"/api-reference/v1/taxonomy/get"}]},{"group":"Unit","pages":[{"title":"List Units","openapi":"GET /v1/unit","href":"/api-reference/v1/unit/get"}]}]},{"tab":"PACT API","pages":[{"title":"PACT API","href":"/pact-api/welcome"}]},{"tab":"MCP","pages":[{"title":"MCP","href":"/mcp/welcome"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/2026"}]}]},"basePath":"","title":"Update Activity - Variable API","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}